zenilib: zenilib/jni/external/openal-soft/OpenAL32/alExtension.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
alExtension.c File Reference
`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include "alError.h"`
`#include "alMain.h"`
`#include "alFilter.h"`
`#include "alEffect.h"`
`#include "alAuxEffectSlot.h"`
`#include "alSource.h"`
`#include "alBuffer.h"`
`#include "AL/al.h"`
`#include "AL/alc.h"`

Go to the source code of this file.

## Functions

AL_API ALenum AL_APIENTRY | alGetEnumValue (const ALchar *enumName)
AL_API ALvoid *AL_APIENTRY | alGetProcAddress (const ALchar *funcName)
AL_API ALboolean AL_APIENTRY | alIsExtensionPresent (const ALchar *extName)

## Variables

struct EffectList | EffectList []

## Function Documentation

AL_API ALenum AL_APIENTRY alGetEnumValue | ( | const ALchar * | enumName | ) |

Definition at line 95 of file alExtension.c.

References alcGetEnumValue().

Referenced by GetFormat(), LoadEffect(), and printEFXInfo().

AL_API ALvoid* AL_APIENTRY alGetProcAddress | ( | const ALchar * | funcName | ) |

Definition at line 88 of file alExtension.c.

References alcGetProcAddress(), and NULL.

Referenced by main().

AL_API ALboolean AL_APIENTRY alIsExtensionPresent | ( | const ALchar * | extname | ) |

Extension support.

Query for the presence of an extension, and obtain any appropriate function pointers and enum values.

Definition at line 49 of file alExtension.c.

References al_endtry, AL_FALSE, AL_TRUE, al_try, ALCcontext_DecRef(), CHECK_VALUE, ALCcontext_struct::ExtensionList, GetContextRef(), and ret.

Referenced by GetFormat(), and main().

## Variable Documentation

struct EffectList EffectList[]

Initial value:
= {
{ "eaxreverb", EAXREVERB, "AL_EFFECT_EAXREVERB", AL_EFFECT_EAXREVERB },
{ "reverb", REVERB, "AL_EFFECT_REVERB", AL_EFFECT_REVERB },
{ "echo", ECHO, "AL_EFFECT_ECHO", AL_EFFECT_ECHO },
{ "modulator", MODULATOR, "AL_EFFECT_RING_MODULATOR", AL_EFFECT_RING_MODULATOR },
{ "dedicated", DEDICATED, "AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT", AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT },
{ "dedicated", DEDICATED, "AL_EFFECT_DEDICATED_DIALOGUE", AL_EFFECT_DEDICATED_DIALOGUE },
{ NULL, 0, NULL, (ALenum)0 }
}
NULL
#define NULL
Definition: ftobjs.h:61
ECHO
Definition: alEffect.h:13
MODULATOR
Definition: alEffect.h:14
REVERB
Definition: alEffect.h:12
EAXREVERB
Definition: alEffect.h:11
DEDICATED
Definition: alEffect.h:15
AL_EFFECT_REVERB
#define AL_EFFECT_REVERB
Definition: efx.h:155
AL_EFFECT_DEDICATED_DIALOGUE
#define AL_EFFECT_DEDICATED_DIALOGUE
Definition: alext.h:202
ALenum
int ALenum
Definition: al.h:65
AL_EFFECT_RING_MODULATOR
#define AL_EFFECT_RING_MODULATOR
Definition: efx.h:163
AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT
#define AL_EFFECT_DEDICATED_LOW_FREQUENCY_EFFECT
Definition: alext.h:203
AL_EFFECT_ECHO
#define AL_EFFECT_ECHO
Definition: efx.h:158
AL_EFFECT_EAXREVERB
#define AL_EFFECT_EAXREVERB
Definition: efx.h:167

OpenAL cross platform audio library Copyright (C) 1999-2007 by authors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details.

You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. Or go to http://www.gnu.org/copyleft/lgpl.html

Definition at line 38 of file alExtension.c.